List all accounts
curl --request GET \
--url https://staging-api.chip-in.asia/api/send/accounts \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/accounts"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 1,
"status": "active",
"currency": "MYR",
"settlement_convert_approvals_count": 1,
"send_fee": 1,
"send_fee_type": "flat",
"account_verification_fee": 1,
"account_verification_fee_type": "flat",
"convertible_balance_from_statement": 1000,
"current_balance": 100,
"created_at": "2023-07-20T08:35:25.389Z",
"updated_at": "2023-07-20T08:35:25.389Z"
}
],
"meta": {
"pagination": {
"current_page": 1,
"prev_page": null,
"next_page": null,
"total_pages": 1,
"total_count": 1
}
}
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}Accounts
List all accounts
Use this endpoint to know:
- Your available settlement (collection) amount that can be converted to CHIP Send Limit;
- Current balance;
- Send Fee;
- Account Verification Fee;
- No. of approvals required to convert collection balance to CHIP Send Limit
Please note that convertible_balance_from_statement will return different data depending on when you hit this endpoint. This adds flexibility and time for you to plan out your CHIP Send Budget Allocation requests, without having to send extra information.
For example:
- Trigger today at 11.59 PM MYT will return convertible balance from today’s collection.
- Trigger tomorrow at 12.00 AM MYT will return convertible balance from today’s collection.
- Trigger tomorrow at 11.59 AM MYT will return convertible balance from today’s collection.
- Trigger tomorrow at 12.00 PM MYT will return convertible balance from tomorrow’s collection.
GET
/
send
/
accounts
List all accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unix epoch timestamp Unix timestamp (seconds).
Example:
1619740800
Refer to checksum calculation